- SetSceneFaction will delete NPCs is appropriate new home is not found

1.310	February 7 2019
- All old style walls have been replaced by thin walls (sdlmap.pp)
- Portraits may be assigned as unisex "por_n_*.png" (sdlinfo.pp)
- Cosplay changed from separate program to main menu option (cosplay.pas)
- Centers on player, shows active player in info box, at start of tactics turn (arenaplay.pp)
- Cannot sell items for higher price than you bought them (services.pp)
- Lancemate field of view also visible (conmap.pp, sdlmap.pp)
- Fixed problem with SanitizeFilename on Windows (pcaction.pp,navigate.pp)
- Some illegal characters removed from filenames (texutil.pp)
- FillRectWithSprite can now accept x,y offsets (sdlgfx.pp)
- ColorMenu is properly centered when screen is resized (colormenu.pp)

1.302	June 26 2016
- Fixed lone enemy bug in SCENE_CaptureMecha.txt
- Updated PLOT_BanditJob1.txt, PLOT_BanditJob2.txt, PLOT_BanditJob3.txt,
  PLOT_BountyHunt1.txt
- Added Fan Club, Bear Bastard lancemates
- Fixed weapon switch bug (pcaction.pp)
- Fixed parent's letter bug (arenascript.pp)
- Fixed Mauna Cavern bug (ADV_FederatedTerritories.txt)
- Fixed SDL info display for express delivery bug (services.pp)
- Title screen menu set to RPMNoCancel in SDL (gharena.pas)

1.301	April 19 2016
- Added accessibility option for ASCII mode (ui4gh.pp)
- View Mecha should show correct repair cost (services.pp)
- Shrine prop sturdier (STCdefault.txt)
- Exceeding skill number limit indicated in SDL chargen (randchar.pp)
- Fixed faulty SDL info display when selling items (services.pp)
- Fixed memos from deleted plots bug (arenascript.pp)
- Mecha Part Editor crash fixed (sdlinfo.pp)
- Tech Vulture can't remove integral parts (arenascript.pp)
- In ASCII mode, cursor should indicate position of PC (conmap.pp)
- Fixed AutoTraining overspending bug (pcaction.pp)
- Renamed ifPersona ASL command to ifNPCOK
- Removed faction difficulty counter (ADV_FederatedTerritories.txt)
- Robotics adjusted (skilluse.pp)
- Fixed heroism pecking in series folder

1.300	April 4 2016
- Fixed bug in Hermit Hop (SCENE_MeetingPath.txt)
- Fixed DirKey screen refresh (sdlgfx.pp)
- Set correct age for Omega-1004 (TS_LANCE_Z1004_STORY.txt)
- Added title screen logo (gharena.pas)
- Jump countdown timer fixed (pcaction.pp)
- Updated gender and romance options (ghchars.pp)
- Refactored \SPR and \OPR tags to be correct (arenascript.pp)
- Added instructions to phone (pcaction.pp)
- Lancemates may use skill trainers (services.pp)
- SDL Browse Design Files now works like GH2 version (arenahq.pp)
- SDL UI reworked all over. Heaps more info shown to the player.
- Backpack and FieldHQ now save menu position (pcaction.pp,backpack.pp)
- Training menu has been reworked (pcaction.pp)
- Pressing left or right in backpack will cycle lancemates (backpack.pp)
- Backpack menu for SDL mode reworked (backpack.pp)
- Cancelling job selection menu gives new PC random job (randchar.pp)
- Character generator interface should be more consistent (randchar.pp)
- Added InfoBox from GearHead2.1 (sdlgfx.pp)
- Fixed BountyJob bugs (PLOT_BountyJob1.txt)
- Switch weapon should now reliably switch weapon (menugear.pp)
- Fixed some SDL handling weirdness throughout program
- SDL window now resizeable (sdlgfx.pp)

1.201	March 3 2016
- Moved save folder to user directory in Windows (gears.pp)
- Fixed bug when story ends during a conversation (arenascript.pp)
- Added InfoTier stat for modules (ghmodule.pp,sdlinfo.pp,coninfo.pp)
- Fixed GuardFight1, GuardFight2 memos
- Fixed Deep Lobster sashimi bug (WMONdefault.txt)
- Cosplay loads mecha sprites correctly (cosplay.pas)
- Can transfer items in combat if nearby (Michael Deutschmann patch)
- Updated xterm-boxdrawing (Michael Deutschmann patch)
- Character limbs resized as Body stat changes (Michael Deutschmann patch)
- New portrait loaded if old portrait not found (sdlinfo.pp)
- Updated the version string to 1.201 (gharena.pas) ^^;

1.200	February 27 2016
- Refactored "ifNPC[trait]" macros, fixing some plot emails (aslmacro.txt)
- Mauna, Tokto no longer hidden in SDL mode (TS_MAP_World.txt)
- Imported shuttle service from GH2 (services.pp)
- Victory saves win file to config folder (arenascript.pp)
- Trying to fix keypad doesn't work without numlock, needs testing (ui4gh.pp)
- Removed redundant SelectMecha, FirstAid commands (ui4gh.pp,pcaction.pp)
- PCs now start with random colors (randchar.pp)
- Fixed SDL mode character generator 2nd usage crash (randchar.pp)
- Added restaurant to Mauna (ADV_FederatedTerritories.txt)
- Can sell mecha, mecha inventory at mechanic shops too (services.pp)
- Added thin doors (sdlmap.pp)
- Added PLOT_SickMission.txt
- Added BondWith, ifGExists ASL commands (arenascript.pp)
- All usable skills known by lancemates added to skills menu (pcaction.pp)
- Status effects won't occur during quick time (arenacfe.pp)
- Added LoseRenown ASL command from GH2 (arenascript.pp)
- Added sprites for mushroom patch, video game, enemy building (STCdefault.txt)
- Incorporated encumberance display patch
- Incorporated selecttarget_nil_weapon and longint_movement patches
- Title screen picks mecha colors from standard list (sdlmap.pp)
- Fixed bug with character sprites on Linux (sdlmap.pp)
- Added Evan, Aspis, Onawa, and Carter (ADV_FederatedTerritories.txt)
- Configuration saved on exit (ui4gh.pp)
- Save files, config file now stored in configuration folder (gears.pp)
- Changed application name to gharena (gharena.pas)
- Automatically saves game when player quits (pcaction.pp)
- Imported colormenu, cosplay programs from GH2 (colormenu.pp,cosplay.pas)
- Imported portraits, portrait selector from GH2 (sdlinfo.pp)
- NPCs will now get random skin, hair colors (sdlmap.pp)
- Added random color picker (sdlgfx.pp)
- FindNAtt, FindSAtt should be faster, thanks to Buffered (gears.pp)
- Stunt Driving should now work properly (effects.pp)
- Fixed Renown/Morale bugs (ability.pp)
- Added error check to MechaDescription (ability.pp)
- Storage module ammo explosions don't cause overkill (action.pp)
- Arachnoids can jump like zoanoids (movement.pp)
- Added default sprite for hoverfighters (sdlmap.pp)
- Enemies should no longer attack after PC quits map (arenaplay.pp)
- Heavy Lifting Skeletal Frame should now work (gearutil.pp)
- Fixed crash when switching weapons (menugear.pp)

1.100	February 11 2007
- One new thinwall added
- Many major NPCs now have correct portraits
- All bmp's are now png's, removed 8-bit png's
- Retrofitted NPC weapon selector from GH2 (aibrain.pp)
- Added "ADVANCEDCOLORS" config switch to activate theoretical color swap (sdlgfx.pp)
- Applied xterm boxdrawing patch (xterm-boxdrawing/crt.pp.diff)

1.021	February 5 2007
- Removed possibly bug-causing unused code (sdlgfx.pp)

1.020	January 31 2007
- Added villainous reputation debugging code (Series\ADV_FederatedTerritories.txt)
- Applied Michael's new patches
- Paletted images should use improved color swap; buggy (sdlgfx.pp)
- Models can no longer set self as target (targetui.pp)
- Can learn skill from school even if DirectSkillXP is off (services.pp)
- When cycling weapons, only weapons of appropriate range used (gflooker.pp)
- Fixed problem with tactics mode start trigger (arenaplay.pp)
- Characters indicated at start of tactics turn (arenaplay.pp)
- Fixed exploitable tacticsmode bug (arenaplay.pp)
- Jack of All Trades can now use repair skills (pcaction.pp)
- Burn status effect now has constant rate of diminishment (arenacfe.pp)
- Area effect weapons do full damage against metaterrain, props (action.pp)
- Attacking drones should not give villainous reputation (locale.pp)
- Fixed lancemate chatting in mecha bug (aibrain.pp)
- Lancemates may not learn new talents (pcaction.pp)

1.010	September 2 2006
- ArenaScript will now print error messages (arenascript.pp)
- Numerous script bugs fixed (Series/*.txt)
- Bug with cyberdisfunction "Anger" fixed (arenacfe.pp)
- SDLMode will try to use system screen depth (sdlgfx.pp)
- Skill advance cost raises sharply after rank 15 (ghchars.pp)
- Dumb models might shoot unsafely (aibrain.pp)
- Added error check code to saved game loader (gearutil.pp)
- Pilot must be at least one scale below cockpit (ghcpit.pp)
- Fixed crashing bug in targeting interface (gflooker.pp)

1.002	June 24 2006
- SeekGear will pick smallest repairfuel first (gearutil.pp)
- Fixed range bug in DoLineAttack (effects.pp)
- New improved NPC weapon selector from Peter Cordes (aibrain.pp)
- SafeToFire checks line attacks (aibrain.pp)
- Improved AI called shot routine (aibrain.pp)
- Added "UNSAFE" scene special tag (locale.pp)
- Fixed problems with IsSafeArea and inactive mecha (locale.pp)
- Fixed problem with unequip/uninstall from disembodied module (backpack.pp)
- Fixed endless loop in tactics mode (arenaplay.pp)
- Changed Extropian talent to act more like documentation suggests (arenacfe.pp)
- Fixed a bug with lancemate flirtation (aibrain.pp)
- Fixed a bug in the cave map generator (randmaps.pp)
- Fixed possible bug with character armor and cyberware (action.pp)
- Fixed bug with cost of overstuffed modules (gearutil.pp)
- Fixed problem with SmartAttack endless repeat (pcaction.pp)
- Fixed evolution problems with many monsters (WMONdefault.txt)
- Fixed a bug in CalcTotalModifiers function (effects.pp,locale.pp)

1.001	January 23 2006
- Added experimental USETACTICSMODE config option (arenaplay.pp)
- Rescued PCs more likely to suffer perminant injuries (arenaplay.pp)
- Shopkeepers will once more keep same inventory for 24 hours (fpc compiler)
- Fixed bug in selling stolen items code (services.pp)
- No more hills in Hogye (series/)
- Monster XP calculation may be based on difficulcy rating (ability.pp)

1.000	November 10 2005
- Mecha's pilots indicated in FHQ menu (pcaction.pp)
- Props should not be placed in front of doors (locale.pp)
- GearHead: Arena now distributed under the LGPL (license.txt)
- Mike Horvath edited the images for SDL mode. Much nicer now
- All XRAN episodes now include destination memo
- Finished text displays for mecha museum and Hwang-Sa library
- Mecha forms have different speed limits (movement.pp)
- Can only gain finite XP from individual monsters (effects.pp)
- Bone-Cracker scenario has been completed
- Can't cancel mecha selection menu (arenascript.pp)
- Fixed bug in CalcMoveTime function (locale.pp)

0.909	June 17 2005
- Added safety switch for weapons and grenades (backpack.pp)
- Fixed range check error in RedrawTile (sdlmap.pp)

0.908	May 23 2005
- Updated Linux prettyprinting support, by Michael Deutschmann
- Fixed memo bug in TS_XRAN_a-A-_MeetMe.txt
- NPCs harder to affect with Performance multiple times (skilluse.pp)
- Fixed an overflow bug in ASCII mode (ability.pp)
- Performance gives no XP if tired (skilluse.pp)

0.907	April 25 2005
- Fixed some problems with compiling for SDL

0.906	April 24 2005
- Some more code-cleaning by Michael Deutschmann
- Can only set the sprite for character, not mecha (pcaction.pp)
- Removed some debugging code (arenascript.pp)

0.905	April 21 2005
- Numerous bug fixes and improvements by Michael Deutschmann
- Fixed bug in IfNoObjections procedure (arenascript.pp)
- Played with hyper, blast attribute costs (ghweapon.pp)

0.904   February 20 2005
- All items now have descriptions, thanks to Tung Nguyen
- Fixed many spelling errors with util provided by Malte Helmert
- XRAN episodes "Hunter", "Pricey Head" edited to v0.901 standard
- Wandering artifact bug hopefully fixed (backpack.pp)
- AWOL robot bug has been fixed (pcaction.pp)
- Added Tung Nguyen's mouse handling patch (sdlmenus.pp)
- Added loot tracking patch by Michael Deutschmann
- Added speed improvement patch by Michalis Kamburelis and Michael Deutschmann
- Can now make called shots even when rotating (pcaction.pp)
- Pillaging disabled if scene type has NOPILLAGE tag (arenaplay.pp)

0.903   January 25 2005
- Fixed more FPCv1.9.6 problems- can't compile ASCII mode under Windows yet
- Destroyed weapon addons no longer work (damage.pp,locale.pp,effects.pp)
- Directory assistance will find NPCs based on job or keyword (interact.pp)
- Will now get most rumors at start of conversation (arenascript.pp)
- Will automatically pillage after winning mission (arenaplay.pp)
- Can install things into empty storage modules (menugear.pp)
- Double Buffering specified in SetVideoMode (sdlgfx.pp)
- XRAN episodes "Investigation", "KnowTooMuch", "DoctorKim", "InDanger"
  have been edited to v0.901 standard

0.902   January 5 2005
- Can redial the last phone number by entering * (pcaction.pp)
- Fixed bug in "WaitingForYou", "FaceYourEnemy" plots
- ScreenHeight of 24 may now be okay (???) (congfx.pp)
- GearHead should be more easily compilable using different releases of FPC
  and across different OS's, thanks to Michalis Kamburelis
- XRAN episodes "SchoolPals", "SisterMoney" have been edited
- Removed the memory usage message (congfx.pp)
- Edited the Daum2 again

0.901   December 23 2004
- Added a free mobile phone to Hogye
- XRAN episodes "MeetMe", "Diary", "FaceYourEnemy", "MarsNeedsClones",
  "WaitingForYou", and "DarkSide" have been edited to v0.901 standard
- Should now run correctly when compiled with FPCv1.9+ (thanks to Michalis Kamburelis)
- Improved SDL menu mouse handling (sdlmenus.pp)
- Added mecha design browser (arenahq.pp)
- Added DeployGG ASL command (arenascript.pp)
- Added \DATE message formatting command (arenascript.pp)
- Main story has memo indicating next scene
- GrabPC can now grab offmap and dead PCs (grabgear.pp)
- if PC is an enemy of faction, can't join the faction
- If PC betrays faction, will be fired
- MatchMaker changed from plot to story
- Gyros, Engines now show class (damage.pp)

0.900   November 17 2004
- Fixed bug in the endgame (TS_XRAN_SCENE_Ending.txt)
- Fixed exploitable MV/TR cost modificatier bug (gearutil.pp)
- Can now use part browser on pets and lancemates (pcaction.pp)
- Robots drop everything they're carrying before being disassembled (pcaction.pp)
- Can now chat with lancemates to set tactics (pcaction.pp)
- More likely to get perminant injury if disabled in combat (arenaplay.pp)
- Fixed error in bomb FXOption (effects.pp)
- Fixed error in GiveGG (arenascript.pp)
- Spot Weakness slightly improves damage for applicable attacks (effects.pp)
- Added Sniper talent (ghchars.pp)

0.853   September 13 2004
- Increased Mecha Fighting concussion damage (action.pp)
- Fixed weapon token bug when selecting robot parts (backpack.pp)
- Failed roll to revive results in perminant death (backpack.pp)
- Added CyberPsycho, Extropian talents (ghchars.pp)
- Rate of cybernetic disfunction adjusted (arenacfe.pp)
- Added another failsafe to deployment routine (locale.pp)
- Increased XP award for picking pockets (pcaction.pp)
- Can now change player sprite (pcaction.pp)
- Added Fudge item value adjustment (gearutil.pp)
- Added END trigger (arenaplay.pp)
- Blast, Hyper ammunition now more expensive (ghweapon.pp)
- Tidied up design directory, thanks to Malte Helmert (Design/*.txt)
- Added Complex attack attribute (ghweapon.pp)
- Fixed a bug in the target switch key (gflooker.pp)

0.852   September 1 2004
- Fixed crashing bug in ThisMoveIsOkay routine (aibrain.pp)

0.851   August 31 2004
- Can now rename mecha (backpack.pp)
- Added run toggle key for roguelike interface (pcaction.pp)
- Maybe fixed the stationary jumping NPCs bug (aibrain.pp)
- NoMetal attack attribute now works correctly (effects.pp)
- Items in shop, backpack now have description (services.pp,backpack.pp)
- Armor can't take more damage than it has (action.pp)
- Fixed an overflow error in repair procedure (skilluse.pp)
- Increased the morale effect of reputation change (ability.pp)
- Overchatting is a sociable action (arenascript.pp)
- Experimental tactics mode, to reinstate team battles (arenaplay.pp)
- PickPockets cash amount gets +1-10 (pcaction.pp)
- Fixed a bug in IsSafeArea function (locale.pp)
- Random soldier generator fixed (wmonster.pp)

0.850   August 22 2004
- Random soldiers will have variable skill level (wmonster.pp)
- Added FIRE! trigger when a new fire starts (effects.pp)
- Fire, smoke displays work properly in SDL mode (sdlmaps.pp)
- Added Pick Pockets skill (ghchars.pp)
- Added Hull Down, Gate Crasher talents (ghchars.pp)
- Instant selection if only one living enemy in tile (gflooker.pp)
- Mecha with dead/dismissed pilots will no longer follow PC (arenaplay.pp)
- Cyberdisfunctions healed by Medicine (ghweapon.pp)
- Cybertech no longer a repair skill (ghchars.pp)
- Lawful/Chaotic reputation can't be set at character creation (randchar.pp)
- Cannot save enemy pilots from salvaged mecha (arenascript.pp)
- Only get Stealth roll if Stealth skill known (locale.pp)
- Fire, smoke in ASCII mode now more colorful (conmap.pp)
- Fixed PC being deployed underwater bug (arenaplay.pp)
- Storage modules don't share overkill damage (action.pp)

0.843   August 12 2004
- Can now use enter key when attacking (gflooker.pp)
- Fixed robot construction/weapon token bug (backpack.pp)
- All personal items should now have mass (PC_Equipment.txt)
- Fixed lancemate swap over water exploit (pcaction.pp)
- Ejection on world map should now work properly (pcaction.pp)
- Unpiloted mecha no longer moved on world map (arenaplay.pp)
- Characters won't board immobile mecha (arenaplay.pp)
- Items shouldn't be deployed in water any more (locale.pp)
- Lancemates can now use SF:1 mecha (arenaplay.pp)
- Added names-above-heads mode, NAMESON config option (sdlmap.pp)
- SDL starts in windowed mode; added FULLSCREEN config op (sdlgfx.pp)

0.842   July 31 2004
- Added Strain attack attribute (ghweapon.pp)
- Mouse now works for movement (pcaction.pp)
- Added NOMOUSE config file option (ui4gh.pp)
- Fixed out-of-action lancemate mecha bug (arenaplay.pp)
- Characters on big maps will be represented by tiny sprite (sdlmap.pp)
- It is now possible to disassemble unwanted robots (pcaction.pp)
- Can no longer use Mecha Engineering on personal equipment (backpack.pp)
- Waiting for weapon recharge now waits for slow weapons (pcaction.pp)
- Fixed some more overflow bugs (ability.pp)

0.841   June 21 2004
- Added Ninjitsu talent (ghchars.pp)
- Surprise attacks get bonuses (effects.pp)
- If scene marked with NORESCUE tag, PC can't be rescued (arenaplay.pp)
- Added WMecha ASL command (arenascript.pp)
- Rescued lancemates have status effects cleared (arenaplay.pp)
- Fixed smoke update in ASCII mode (arenacfe.pp)
- Fixed Drone Launcher bugs (effects.pp)

0.840   June 10 2004
- Added weapon accessories (ghweapon.pp)
- Added SMOKE, GAS, DRONE, NOMETAL attack attributes (effects.pp)
- Increased the FOOD_MORALE_FACTOR (ghchars.pp)
- Treasure should be worth more from now on (ghswag.pp)
- Added config file option to toggle Fullscreen/Windowed mode (ui4gh.pp)
- Added mouse control to SDL menus (sdlmenus.pp)
- Fixed vunerabilities for Stunning, Sickness (ghweapon.pp)
- Fixed yet another cost-calculator overflow (ghweapon.pp)
- Added Badass talent (ghchars.pp)
- Cost for BV weapons has been increased (ghweapon.pp)
- Injury viewer, Part Browser now work in SDL mode (sdlinfo.pp)
- Disabled lancemates may be rescued (arenaplay.pp)
- Cyberware can heal perminant injuries (services.pp)
- Added perminant injuries (damage.pp)

0.836   May 23 2004
- Fixed overflow error with super-expensive mecha (services.pp)
- Scripted skill rolls now give skill XP (arenascript.pp)
- Damage curve less random, SF:0 damage reduced (damage.pp)
- Fixed display problems with text browser on resized ASCII screen (context.pp)
- Robots start with lower skills than before (skilluse.pp)

0.835   April 23 2004
- Fixed bug with jumping NPCs not moving (aibrain.pp)
- Status effects now indicated in SDL mode (sdlinfo.pp)
- Fixed ZONE_Menu2 in ASCII mode (congfx.pp)
- Flying mecha no longer land when performing a turn (movement.pp,action.pp)
- Installing, extracting OOS parts has higher chance of failure (backpack.pp)
- Attack animations should now use correct altitudes (sdlmap.pp)
- Fixed overflow error in experience procedure (ability.pp)

0.834   April 15 2004
- Added Mini-Map for SDL mode (sdlmap.pp)
- BatchLoadPlot now works (arenascript.pp)
- SetAlly MDL command now works properly (ghparser.pp)
- Added (experimental) screen size control for ASCII mode (congfx.pp)
- Fixed a bug with ammo reload cost (ghweapon.pp)
- Can only cause status effects if at least same scale as target (effects.pp)

0.833   April 13 2004
- Fixed bug with attacking empty space (effects.pp)

0.832   April 13 2004
- Fixed bug in chatting routines, thanks to Malte Helmert (interact.pp)
- Animals shouldn't talk, unless they have something to say (aibrain.pp)
- Robotics now uses team skill value (skilluse.pp)
- Martial arts has been made more interesting (effects.pp)
- NPCs should now use FullSpeed as appropriate (aibrain.pp)
- SDL mode has new speedometer, altimeter (sdlinfo.pp)
- Fixed bug with failed, cancelled robotics attempts (pcaction.pp)
- Lancemates won't chat in combat zones (aibrain.pp)
- Overchargers improved by 25% (movement.pp)
- Higher combatants get an attack bonus (effects.pp)
- Added high-output engines (effects.pp)
- Can access FieldHQ in combat; can't trade items (backpack.pp)
- Fixed a bug with !Lancemate trait selection (playwright.pp)
- Jacks of all Trades can use clue skills on inventory items (backpack.pp)
- Fixed bug in default BV config setting (ui4gh.pp)
- Hopefully made it harder to overflow the cost calculator (gearutil.pp)
- Added Flail, AntiAir attack attributes (ghweapon.pp)
- Can now eat pills even if not hungry (backpack.pp)
- Added GQuitLance ASL command (arenascript.pp)
- Martial arts attacks get DC bonus based on skill level (damage.pp)

0.831   April 5 2004
- Added BatchLoadPlot ASL command (arenascript.pp)
- Added config options to control number, loading of plots (arenascript.pp)
- Burns now treated with General Repair (ghweapon.pp)
- Holders can no longer mount sensors (ghholder.pp)
- SDL uses alpha transparency for walls and hills (sdlgfx.pp)
- Can no longer eat items stored on mecha (backpack.pp)

0.830   April 1 2004
- Lancemates use story, plot personas; local persona disabled (arenascript.pp)
- Switching visible enemies shouldn't get stuck on piles anymore (gflooker.pp)
- Directional repair should now work correctly (pcaction.pp)
- Lancemates cannot be removed in dynamic scenes (arenascript.pp)
- Patched some holes in the random stat roller (ghchars.pp)
- Fixed RL movement/backup bug (pcaction.pp)
- NPCs will say things stored as CHAT_ATTACK, CHAT_EJECT, CHAT_SAFE (aibrain.pp)
- Lancemates may eject if seriously damaged (aibrain.pp)
- NPCs should fire grenades, thrown weapons from inventory (aibrain.pp)
- Lancemates should now be able to take medicine (backpack.pp)
- Changing your equipment now takes time (backpack.pp)
- Lower scale beam weapons cause less overload (effects.pp)
- Added color selector for SDL mode (backpack.pp)
- Added ECM systems (ghsensor.pp,effects.pp)
- Sensors are always SF:0 (ghsensor.pp)
- Monsters should drop inventory when changing form (pcaction.pp)
- Added IfGArchAlly, IfGArchEnemy, GAbsoluteLevel ASL commands (arenascript.pp)
- Lancemates can transfer equipment back to the PC (backpack.pp)
- !Lancemate character search option now works correctly (playwright.pp)
- Adventure gear may now hold scripts (arenascript.pp)
- Standard plots now loaded by script every 5 minutes (navigate.pp)
- XPV will no longer count empty mecha as team members (arenascript.pp)
- Tech Vulture will no longer wreck lancemate meks (arenascript.pp)
- Added Lover, Family relationship types (interact.pp)
- Can't talk to hostile NPCs (pcaction.pp)
- Fixed bug in SDL mode dirkey function (sdlgfx.pp)
- Talking to NPC too often reduces Endurance, not Reaction (pcaction.pp)
- Tech Vulture talent now requires Mecha Repair skill roll (arenascript.pp)
- Flirtation has been made more useful (interact.pp)
- Added Combat Medic, Jack of All Trades talents (ability.pp)

0.820   March 22 2004
- Can now switch visible enemies when selecting target (gflooker.pp)
- Lancemates will use social skills if known (aibrain.pp)
- Can swap places with lancemate in roguelike interface (pcaction.pp)
- Added GlobalStoryPattern ASL command (arenascript.pp)
- Added Animal Trainer talent (ghchars.pp)
- PCSkillVal, XPV changed from macros to hardcoded functions (arenascript.pp)
- Story XP awards divided evenly among lancemates (arenascript.pp)
- If no damage found, repair skills applied as clue skills (pcaction.pp)
- Repair skills may now be used in a direction (pcaction.pp)
- Fixed crash when trying to learn new skill with no XP (pcaction.pp)
- SOLO tag in Scene TYPE SAtt blocks deployment of lancemates (interact.pp)
- Added Leadership, Dominate Animal, Robotics skills (ghchars.pp,skilluse.pp)
- Lancemates will use repair skills if supplies present (aibrain.pp)
- Character file deleted at start, restored at victory (navigate.pp)
- Install and Extract now use team Mecha Engineering skill (backpack.pp)
- SkRoll ASL function now uses TeamSkill (arenascript.pp)
- PC may activate the clue skills known by lancemates (backpack.pp,pcaction.pp)
- Lancemates may be assigned mecha (backpack.pp)
- Added Lancemate Viewer to FieldHQ (pcaction.pp)
- Lancemates won't normally be selected for plots (arenascript.pp)
- Lancemates use blank personas while members of party (arenascript.pp)
- At shops lancemates will also be repaired, reloaded (services.pp)
- Can transfer items to lancemates (backpack.pp)
- Lancemates should appear near PC in scene (locale.pp)
- Lancemates follow PC (arenaplay.pp)
- Personal allies may join the PC's lance (arenascript.pp)
- Fixed bug in bumpattack (pcaction.pp)
- XPV command will give experience even if PC not on map (arenascript.pp)
- RLInterface will perform minimal turn to do bumpattack (pcaction.pp)

0.814   March 10 2004
- Fixed bug when NPC deleted in conversation (arenascript.pp)
- Error checks added to the terrain destruction code (effects.pp)
- New better-looking walls added to SDL mode (sdlmap.pp)
- Offscreen models indicated in SDL mode (sdlmap.pp)
- New hill graphics (sdlmap.pp)
- ISOLATED tag in Scene TYPE SAtt blocks foreign rumors (interact.pp)
- NPC combatants will not fire blast weapons at their allies (aibrain.pp)
- NPC combatants should maintain optimal range from enemy (aibrain.pp)
- Inventory menu has alphabetic shortcuts (backpack.pp)
- Some range check errors in the damage assigner fixed (action.pp)
- No more flashing in services, looker, backpack displays (sdlmenus.pp)
- Memo browser in SDL mode now has border (pcaction.pp)
- Can use numeric keypad enter, backspace in SDL mode (sdlgfx.pp)
- SDL interact info now working properly (sdlinfo.pp)
- SDL menus speed improved (pcaction.pp)

0.813	March 6 2004
- Changed PreReq of Stunt Driving to Speed 15 (ghchars.pp)
- Added Business Sense talent (ghchars.pp)
- Can't install or extract from active mecha (backpack.pp)
- Can only access FieldHQ in safe area (backpack.pp)
- IsSafeArea function won't now count dead enemies (locale.pp)
- If learning too many skills, may cancel or forget old skill (pcaction.pp)
- Number of skill slots indicated in Learn New Skill display (pcaction.pp)
- Added DIRECTSKILLOK, NOAUTOSAVE configuration file switches (ui4gh.pp)
- Mecha modifiers are half price of cyberware (ghmodule.pp)
- Fixed bug in ManeuverCost, TargetingCost (gearutil.pp)
- Added Reverse move action (action.pp)
- Messages and prompts get randomization, conditions (arenascript.pp)
- Direct skill XP can't purchase unknown skills (ability.pp)
- Get more experience for mecha combat than personal combat (ability.pp)

0.812	Febuary 25 2004
- Added cyberware browser to training menu (pcaction.pp)
- Added Idealist Blood talent (ghchars.pp)
- Repair skills will be quicker to use (skilluse.pp)
- Repair skill efficiency changes with target scale (skilluse.pp)
- Mecha editor will keep same position after viewing part (backpack.pp)
- Can only transfer items in a safe area (backpack.pp)
- Fixed bug in configuration file code (ui4gh.pp)

0.811	Febuary 19 2004
- Things should no longer be placed on top of doors (locale.pp)
- Fixed strange BlastAttack bug (effects.pp)
- Can now change BV while selecting target (gflooker.pp)
- Configuration file support added (ui4gh.pp)
- Mecha can drop items from FieldHQ (backpack.pp)
- DELIVERY in wares allows access to Express Delivery (services.pp)
- Added ExpressDelivery ASL command (arenascript.pp)
- Game should once again select mecha variants (wmonster.pp)
- Surplus mecha will no longer follow the PC everywhere (arenaplay.pp)
- Added Sickness status condition (ghweapon.pp)
- View Mecha in shops will also view disembodied mecha parts (services.pp)
- Fixed a bug with the Tech Vulture talent (arenascript.pp)
- Yet another 216 on Linux has been fixed (ability.pp)

0.810	Febuary 13 2004
- Victory files contain much more information than before (arenascript.pp)
- Metaterrain can hold items (gearutil.pp)
- Destroyed items will be deleted rather than ransacked (backpack.pp)
- Support for multiple adventure files added (arenahq.pp)
- Fixed teleporting-on-world-map bug (locale.pp)
- Pragmatism affects chance of cybernetic rejection (services.pp)
- Added MapTile, ifGSexy ASL commands (arenascript.pp)
- Fixed another 216 bug (services.pp)
- Survival changed to a Craft skill (ghchars.pp)
- Added BioTech material (gears.pp)
- New flames will be same scale as map (aibrain.pp)
- Status effects will last longer (arenacfe.pp)
- Blast attacks that finish ammo should keep correct radius (effects.pp)
- Added talents (ghchars.pp,pcaction.pp,effects.pp)
- Swarm attack problems fixed (effects.pp)
- NPCs will no longer fire at enemies they can't see (aibrain.pp)
- Stealth/Awareness has been reworked (locale.pp)

0.804	January 28 2004
- Buying and selling now happens in interaction area (services.pp)
- SDL Menus now capable of full redraw per refresh (*.pp, really)
- SDL sprite handling rewritten; much faster now (sdlgfx.pp)
- MetaTerrain cannot be damaged by repeated weak attacks (action.pp)
- Added MagicMap ASL command (arenascript.pp)
- Blast attacks aimed at walls won't pass through (effects.pp)
- Should be able to fire at doors and walls again (locale.pp)
- Training with huge amounts of $$$ should no longer overflow (ability.pp)
- Regeneration message only when some damage regenerated (effects.pp)
- Fire won't keep burning things that are already destroyed (aibrain.pp)
- Smoke should not take damage from fire (effects.pp)
- Random NPC pilots will have one combat specialty (ghchars.pp)

0.803	December 31 2003
- Fire disappears when you leave a scene (arenaplay.pp)
- Destroyed terrain may catch fire or produce smoke (effects.pp)
- Can now target empty tile for attack (pcaction.pp,effects.pp)
- Clouds move, fire spreads (aibrain.pp)
- Standing in smoke now counts as being in cover (locale.pp)
- Added Brutal attack attribute (ghweapon.pp)
- There's now a minimum reaction speed (ability.pp)
- Grenade price lowered (ghweapon.pp)
- Spot Weakness changed back to a Craft skill (ghchars.pp)
- Added Use Telephone command (pcaction.pp)
- NPCs should no longer attack more quickly than PC (aibrain.pp)
- Added WMThreat, * ASL functions (arenascript.pp)
- Fixed the extraction, installation of modules (backpack.pp)

0.802	December 10 2003
- \FacRank message bug fixed (arenascript.pp)
- Reduced number of faction XP points needed (arenascript.pp)
- Added \SPR, \OPR, \PPR message formatting commands (arenascript.pp)
- Disappearing enemy XRAN bug has been fixed (grabgear.pp)
- Map features may have secret door %, locked door % defined (randmaps.pp)
- Added Search command (pcaction.pp)
- Hidden metaterrain may be discovered with Investigation skill (pcaction.pp)
- Added DrawTerr, TMStockD, TStockD ASL commands (arenascript.pp)
- Added MonkeyMaze level generator (randmaps.pp)
- Increased maximum number of plots (navigate.pp)
- Added Investigation skill (ghchars.pp)
- Mecha Engineering usage simplified and improved (backpack.pp)

0.801	November 21 2003
- Shield-mounted weapons not affected by shield penalty (effects.pp)
- Cybernetic disfunction now more dangerous (arenacfe.pp)
- "'" now counted as punctuation by message formatted (texutil.pp)
- Blast attack only deviates if range greater than 2 (effects.pp)
- GetItem now prompts if multiple items (backpack.pp)
- Skill modifier gears should now work (ability.pp)
- End of empty conversation waits for space or escape (arenascript.pp)
- Enemy ejection is far more dependant on Intimidation (aibrain.pp)
- Cybernetics changed to an Ego skill (ghchars.pp)

0.800	November 15 2003
- Faction and rank added to history file (arenascript.pp)
- \RANK, \FACRANK message formatting commands added (arenascript.pp)
- Extra-random "---" plots can now be loaded (ghparser.pp)
- A big disappointment can ruin your mood (ability.pp)
- VisionCheck won't be performed for models not on the map (conmap.pp)
- Using a skill on a backpack item now exits the backpack (backpack.pp)
- Added GMental, FXPNeeded ASL commands (arenascript.pp)
- Added Rust status condition (ghweapon.pp)
- Blast attacks may now suffer deviation (effects.pp)
- LoadGearSead function deleted for malpractice (ghparser.pp)

0.733	October 5 2003
- Added an error check to the Return script command (arenascript.pp)
- Zoanoids get even worse TR scores (ghmecha.pp)
- Cost for good MV has been increased (gearutil.pp)
- Blast, Line weapons made slightly cheaper (ghweapon.pp)
- If multiple objects on tile, pickup will use menu (backpack.pp)
- Added OWall map generation primitive (randmaps.pp)
- Usable gears now have extended descriptions (damage.pp)
- Usable gears now have a range stat (ghswag.pp)
- Simplified and tuned the Performance skill (skilluse.pp)
- Electronic Warfare changed to a Craft skill (ghchars.pp)
- Fixed undefined return value bug in CloneGear (gears.pp)
- Added Overchargers (ghmovers.pp, movement.pp)
- Added SeekEdge AI type (aibrain.pp)
- Map features may have position pre-defined (randmaps.pp)
- Display updated when NPCs leave map (arenascript.pp)
- Added Alert, GRunAway ASL commands (arenascript.pp)
- Can create new character when starting RPG campaign (arenahq.pp)

0.732	September 19 2003
- Increased morale bonus from XP again (ability.pp)
- Shields now get extended description (damage.pp)
- Moved gears have damage, condition, weapon mods cleared (arenascript.pp)
- Limbs with shields suffer attack penalty (effects.pp)
- ExArmor equipping size rule should now be consistent (ghmodule.pp)
- Taking damage harms morale (action.pp)
- Doing tiring things while exhausted harms morale (ability.pp)
- Default doors can now be destroyed (randmaps.pp)
- Skill cost penalized if too many skills known (ghchars.pp)
- Added GSkillLevel ASL command (arenascript.pp)
- Hopefully fixed the "Killer Guardians" bug (locale.pp)
- Updated the SDL units somewhat (sdlgfx.pp,sdlinfo.pp,sdlmap.pp)
- Can't rest if the PC is hungry (pcaction.pp)

0.731	September 6 2003
- Fixed stupid opening menu bug (arena.pas)

0.730	September 5 2003
- Added pre-drawn maps (randmaps.pp,mapedit.pp)
- Mapping range on world map reduced (ability.pp)
- Mecha smaller than map size can't walk through water (locale.pp)
- Shopkeepers will keep same items for entire day (services.pp)
- Added GSkillXP, GMoraleDMG, GNewPart script commands (arenascript.pp)
- Game will now check regularly to make sure PC is alive (arenaplay.pp)
- Repair points left over from previous attempt used (skilluse.pp)
- Weapon damage now affected by full Body stat (damage.pp)
- 12 new status effects added for cyberware (ghweapon.pp)
- Status effects can affect stats (gearutil.pp)
- Cyberdoctors will now offer to install cyberware (services.pp)
- Added Modification gears (ghmodule.pp)
- Gears marked as "cyber" type can't be invcoms (gearutil.pp)
- If NPC can't be found, will now check dynamic scene (grabgear.pp)
- Lack of wings penalizes flight (movement.pp)
- Morale tends towards 0 with time (arenacfe.pp)
- Missiles use Sensor Rating instead of Target Rating (effects.pp)
- Area effect weapons should miss less often (effects.pp)
- Added "Overload" attack attribute (ghweapon.pp,effects.pp)
- Food morale boost cost is higher if calorie count is lower (ghswag.pp)
- Enemy pilots may eject in combat, if their mecha is disabled (aibrain.pp)
- Added standard template items file (ghparser.pp)
- Overload reduced every 10 seconds (arenacfe.pp)
- Experience gain gives less morale bonus than originally (ability.pp)
- Should have finally fixed the Linux ThrowingRange bug (locale.pp)

0.720	July 25 2003
- Added Overload condition for mechas (ghchars.pp,damage.pp)
- If CID>8, persona will be sought globally (interact.pp)
- Dead flyers should now land! (locale.pp)
- Turning flyers should now maintain altitude (locale.pp)
- Items in backpack may have event scripts, skill clues (backpack.pp)
- Morale loss tracking debug message added to regen check (arenacfe.pp)
- Studying no longer costs MP, SP (services.pp)
- Attack status effects have Step1 duration (effects.pp)
- AdvanceGameClock moved to ArenaCFE, handles status effects (arenacfe.pp)
- Added Regen, Haywire, Stoned status effects (ghweapon.pp)
- Gaining experience improves morale (ability.pp)
- Added Healing effect (effects.pp)
- Reputation changes affect morale (ability.pp)
- Can eat consumable gears from backpack menu (backpack.pp)
- Added consumable gears (ghswag.pp)
- Hunger, morale damage indicated in info display (coninfo.pp)
- Hunger, morale damage lower stats (gearutil.pp)
- Gain morale damage from regenerating HP, MP, SP (damage.pp)
- Gain one point of hunger every 10 minutes (damage.pp)
- Added Hunger and MoraleDMG conditions (ghchars.pp)
- NPCs should try to walk around hills, to prevent lemmingness (aibrain.pp)
- Characters don't "crash", they "fall" (conmap.pp,sdlmap.pp)
- Descending more than one level per tile may result in crash (action.pp)
- Models may not climb more than one elevation level per tile (locale.pp)

0.712	July 7 2003
- NPCs should now change movemodes more intelligently (aibrain.pp)
- Spot Weakness skill more powerful (effects.pp)
- Missiles get +2 bonus to hit (effects.pp)
- Fixed bug causing metaterrain to grow with each save (gearutil.pp)
- Missiles may now be intercepted (effects.pp)
- Added INTERCEPT attack attribute (ghweapon.pp)
- Fixed some bugs to let game run on Linux (locale.pp)

0.711	July 4 2003
- Structure info displayed for characters in ASCII interface (coninfo.pp)
- Max CID, NID now cached to prevent weird errors (interact.pp)
- Moving characters in SetSceneFaction bug fixed (arenascript.pp)
- Fixed bug if WeaponRange function passed Nil (locale.pp)
- Older characters start with experience (randchar.pp)

0.710	June 25 2003
- MetaTerrain now draw event strings from default list (arenascript.pp)
- Disabled MoveGG's TeamData code (arenascript.pp)
- DelinkJJang should now actually delete unneeded teams (arenaplay.pp)
- MoveGG, DynaGG won't redraw tiles during conversation (arenascript.pp)
- Improved speed of SAtt search (gears.pp)
- Fixed faulty ammo count in info display (damage.pp)
- Rumors are now more dependable (interact.pp)
- Personal history may be reviewed from Character menu (pcaction.pp)
- Added History, XRanPlot, Victory ASL commands (arenascript.pp)
- Added "extra random" story generation (arenascript.pp)
- Character info display now shows stat ratings (coninfo.pp)
- Stories may have no more than 5 active plots (arenascript.pp)
- Passive AI type now uses hotmaps as well (aibrain.pp)
- Maybe solved autotarget bug by ensuring unique UIDs (conmap.pp)

0.704	June 4 2003
- Items with type ARTIFACT won't be deleted if destroyed (arenaplay.pp)
- Added Resistance skill (ghchars.pp)
- If NPC starts conversation, no ReTalk penalty (arenascript.pp)
- Ammunition now gets extended description text (damage.pp)
- Text mecha, character info now shows status effects (coninfo.pp)
- Added status effect handler (arenacfe.pp)
- Added status effects (ghweapon.pp)
- Added Thrown, Return, ArmorIgnore attack attributes (ghweapon.pp)
- Attack menu weapons now have constant hotkeys (pcaction.pp)
- Added grenades (ghweapon.pp)
- Added thrown and returning weapons (effects.pp)
- Added follow AI type (aibrain.pp)
- Removed wandering NPCs; never used them anyways (arenaplay.pp)
- Lowered max line length for "destroyed" messages (effects.pp)
- Reworked the handling of undescribed teams (locale.pp)
- Reworked the handling of NPCs in dynamic scenes (arenaplay.pp)
- Added DynaGG, Bomb ASL commands (arenascript.pp)
- Fixed bug with enemies not attacking in dynamic encounters (locale.pp)
- Re-organization of effects.pp to make way for fx strings (effects.pp)
- RPG campaign saved every time scene changes (arenaplay.pp)
- Encounter enemy desc passed through message formatter (arenascript.pp)

0.703	May 21 2003
- I'm getting married :)
- Added Trigger ASL command (arenascript.pp)
- Finally "EXTEND" weapons work with bumpattack (pcaction.pp)
- Props treated as inanimate objects for attacking purposes (effects.pp)
- Removed debugging messages from MoveGG (arenascript.pp)

0.702   May 6 2003
- Fixed enemy-pilot-in-salvaged-mecha arena mode bug (arenahq.pp)
- Fixed overflow bug in ReloadMasterCost (services.pp)
- Fixed problem with NPCs not attacking their enemies (aibrain.pp)
- Random maps gap filler now more efficient (randmaps.pp)
- Implemented Isaac Kuo's floodfill pathfinding (aibrain.pp)

0.701   April 28 2003
- New plots loaded should minimize duplication (ghparser.pp)
- Added compass and a reduced info font to SDL info (sdlinfo.pp)
- Fixed duplicate Character ID bug (interact.pp)
- Set plot name to "DEBUG" for full insertion info (playwright.pp)
- SeekPersona will try harder to find correct conversation (interact.pp)
- SDLMode structure diagrams (sdlinfo.pp)
- Added RepairFuel gears (ghswag.pp)
- Repair skills now require "repair fuel" to use (backpack.pp)
- Props/Metaterrain can now grab NPCs correctly (grabgear.pp)
- Can now use skills on PC's tile (pcaction.pp)
- Fixed picking up money from NID items bug (backpack.pp)
- Fixed range checking error in skill application command (pcaction.pp)
- Added GAddStat, GrabTeam ASL commands (arenascript.pp)
- Added EquipChar parser command (ghparser.pp)
- NPCs won't lose patience after assigning mission (arenascript.pp)
- MoreText now passed through message formatter (arenascript.pp)
- Added range ASL function (arenascript.pp)
- Added \PC message formatting command (arenascript.pp)

0.700   April 8 2003
- Last ammo should now have full attributes (effects.pp)
- Archetypes list loaded and cached at program startup (ghparser.pp)
- Destroyed metaterrain doesn't block LOS (locale.pp)
- Individual names of destroyed parts now listed (action.pp,effects.pp)
- Correct scene name should now always be used for rumors (interact.pp)
- Cleaned up ghparser; added monster command (ghparser.pp)
- Scene types must now be explicitly declared (playwright.pp)
- Transferring wargear to a mecha exits wargear viewer (backpack.pp)
- Added usable gear type, command to use them (ghswag.pp)
- Mapping range has been increased (ability.pp)
- Changed the terrain definitions a bit (locale.pp)
- Repair command changed to Apply Skill command (pcaction.pp)
- Did a near-total rewrite of the randmaps unit (randmaps.pp)
- NPCs now can't walk through closed doors (locale.pp)
- Added Code Breaking, Weight Lifting, Mysticism, Performance
  skills (ghchars.pp)
- Spot Weakness skill changed from Craft to Perception (ghchars.pp)
- Blocked line of fire check is now reversed (effects.pp)
- MOS does not apply against inanimate objects (effects.pp)
- Moved FindDeploymentSpot function to locale (locale.pp)
- Teams may have a "HOME" defined, just like individual gears (locale.pp)
- Fixed SDL "sinking" bug (sdlgfx.pp)
- All gears on gameboard receive "UPDATE" trigger at start (arenaplay.pp)
- MetaTerrain may be invisible until activated (locale.pp)
- ENx%y trigger has been made obsolete (arenascript.pp)
- Added Block, IfNoObjections, IfScene, SeekGate,
  UpdateProps ASL commands (arenascript.pp)
- Gate terrain has been replaced by metaterrain (locale.pp,randmaps.pp)

0.608   February 9 2003
- In SDL mode, map display updated before attack (arenacfe.pp)
- Fixed a previously unknown seekpersona bug (interact.pp)
- SDL_Portrait SAtt now defined, used in interact display (sdlinfo.pp)
- SDL mode now handles visible/unseen masters correctly (sdlmap.pp)
- Only master gears get vision checks (locale.pp)
- Stories may have sub-stories (arenascript.pp)
- Plot inserter may now find NPCs on the gameboard (playwright.pp)
- Unexplored areas of map indicated in SDL mode (sdlmap.pp)
- Added a "Use Scenery" command for props and metaterrain (pcaction.pp)
- Removed the old, unlovely door handling code (locale.pp)
- Added Transform, if#, NewD, LoadD, StockD, MStockD,
  GSetSAtt ASL commands (arenascript.pp)
- Moved Crt, SDL keymaps to new ui4gh unit (ui4gh.pp)
- Metaterrain now has similar effects as actual terrain (locale.pp)
- Factions are now always their own allies (playwright.pp)
- Fundamental flaw in ASL functions repaired (arenascript.pp)
- Added '\NARRATIVE' message formatting command (arenascript.pp)
- ASL message strings should deal with punctuation (arenascript.pp)
- Memo browser now handles email and news too (pcaction.pp)
- Added '5MIN' trigger (locale.pp)
- Misc gear info display now more useful (damage.pp)
- Removed extraneous armor subcom check from CheckGearRange (ghguard.pp)
- You need PCS to view adventure memos (pcaction.pp)
- Changed name of SeekActivePart to SeekActiveIntrinsic (damage.pp)
- Added GG_Electronics, GG_MetaTerrain type gears (ghsensor.pp,ghprop.pp)
- SceneID ASL function returns 0 for dynamic scene (arenascript.pp)

0.607   January 28 2003
- Can now view tech stats when shopping for a mecha (services.pp)
- Hands, Mounts now counted in mecha technical description (ability.pp)
- Old CountActiveParts bug fixed (damage.pp)
- Switching interface type should have immediate effect (pcaction.pp)
- Can now set ops from PC Viewer, can use Viewer from MI (pcaction.pp)
- Slots/Used now indicated in installation menu (menugear.pp)
- Turning rate now limited by mass and movemode (movement.pp)
- Items may be destroyed by failed installation attempt (backpack.pp)
- Improved speed of plot insertion; still not fast enough (playwright.pp)
- RPG PC parallel save file now has factionID cleared (navigate.pp)
- Experience awards adjusted (ability.pp)
- Added "Grab" elements for plots based on stories (playwright.pp)
- Added Hour, HalfHour, Quarter triggers (locale.pp)
- Added !X relative search term (playwright.pp)
- Deleted all Faction Action materials (playwright.pp)
- Global effects happen before local effects (arenascript.pp)
- Added grabgear.pp unit (grabgear.pp)
- StoryLine cmd loads plots as inv of story if appropriate (arenascript.pp)
- Added "Story" gear type (gears.pp)
- Added adventure memos and a memo browser (pcaction.pp)
- It's hard to sell stolen goods (services.pp)
- Bug fixed: Item elements on gameboard now found (interact.pp)
- Added Mystery attack attribute (ghweapon.pp)
- Added MoveGG, DeleteGG, GiveGG, GSetNAtt, GAddNAtt, GSetStat,
  IfGOK, IfGInPlay, Memo, IfStoryless, StartStory, EndStory,
  PurgeStory ASL commands (arenascript.pp)
- Prefab elements do not need to be placed initially (playwright.pp)
- ASL now has limited macro support (arenascript.pp)
- Many ASL commands and functions replaced by macros (arenascript.pp)
- Changed NAG_Damage from 0 to 12 (damage.pp)
- Because of that change, any gear can now hold scripts (arenascript.pp)
- Added Threat,Reward,GNatt,GStat ASL functions (arenascript.pp)

0.606   January 6 2003
- Added MoreText ASL command (arenascript.pp)
- Removed vestigial DeadCold display routines (conmap.pp)
- Unarmed attacks less effective against armor (effects.pp)
- Weapon damage has been increased (damage.pp)
- Will no longer get villainous rep for attacking items (locale.pp)
- Cleaned up SDL screen zones a bit (sdlgfx.pp)
- Will seek graphic for character based on job and gender (sdlmap.pp)
- Added FieldHQ command, 'H'. Only does wargear browser yet. (pcaction.pp)
- GFCombatDisplay procedure should now be called correctly (pcaction.pp)
- Text browser last line bug fixed (context.pp)
- Now possible to install components into mecha (backpack.pp)
- Now possible to remove internal components from mecha (backpack.pp)
- New skill: Mecha Engineering (ghchars.pp)
- Gear overcomplexity affects repair cost (skilluse.pp)
- Overcomplex modules cost more (gearutil.pp)
- Added complexity scores (gearutil.pp)
- Gears may have SDL_SPRITE,SDL_COLORS string attributes (sdlmap.pp)

0.605   December 20 2002
- Experimental SDL support added - see compiling.txt for details
- Fixed bug with moving displaced NPCs in SetSceneFaction (arenascript.pp)
- Picking up items now takes time (backpack.pp)
- "X" indicates blocked LOS (gflooker.pp)
- Universal range measurement now implemented (coninfo.pp)
- Correct range now reported for LineAttack weapons (locale.pp)
- Successfully parrying an attack sets defgear recharge (effects.pp)
- Parrying a melee attack is now easier than before (effects.pp)
- Adjusted range to-hit modifiers for missile weapons (effects.pp)
- Reworked some of backpack.pp for new FieldHQ (backpack.pp)
- Critical hit bug against mecha fixed (action.pp)
- Selecting mecha while in another mecha should now work (locale.pp)
- Increased XPV for making enemies run away (interact.pp)
- Attack attributes now indicated in weapon info (coninfo.pp)
- Added "EXTEND", "HYPER", "ARMORPIERCING" attack attributes (ghweapon.pp)
- Game waits for keypress when player dies (navigate.pp)

0.604   December 5 2002
- Added console history command, "V" (pcaction.pp,conmap.pp)
- Added message browser (context.pp)
- SmartAttack should now target the correct enemy (pcaction.pp)
- New soldiers when town conquered have CID added (arenascript.pp)
- GetFactionScore crashing bug fixed (interact.pp)
- Can be compiled for Linux without editing source (gears.pp)
- Added "Scatter" attack attribute (ghweapon.pp)
- Critical hit only reported if MOS is 4 or more (effects.pp)
- Fixed bug: PCFac ASL function now works (arenascript.pp)
- Repair skill effectiveness limited by skill rank (skilluse.pp)
- Ammo clips in the general inventory won't explode (action.pp)
- Weapons damage made more predictable (damage.pp)
- Fixed mysterious villainous reputation bug (maybe) (locale.pp)
- Played around with terrain destruction (locale.pp)
- Weapons now have Attack Attributes (ghweapon.pp)
- Added "Swarm", "Blast", "Line" attacks (effects.pp)
- New attack graphics system now fully operational (conmap.pp,arenacfe.pp)
- 'l'ook key cancels look, 'a'ttack key performs attack (gflooker.pp)
- Trees provide more cover than before (locale.pp)
- Plot Debugger now prints status messages (playwright.pp)

0.603   November 25 2002
- Fixed serious bug in character search (playwright.pp)
- Knowledge stat affects skill XP gained from teachers (services.pp)
- In Menu interface, firing outside of arc now indicated (pcaction.pp)
- In RogueLike interface, PC will rotate to make attack (pcaction.pp)
- "Examine Map" changed to "Look", default key is now "l" (context.pp)
- Fixed mecha prompt when meeting encounter on world map bug (arenascript.pp)
- Added PCScale ASL function (arenascript.pp)
- Weapons should now report correct Damage Class (ghweapon.pp)
- Close combat bonus damage for Body/Size finally factored in (ghweapon.pp)
- SmartBump attack tries to choose close combat weapons (pcaction.pp)

0.602   November 20 2002
- Help menu now activated by 'h' key (context.pp)
- Help menu now displays instructions for using help (pcaction.pp)
- Diagnol keys Home, End, PgUp and PgDn should work (context.pp)
- Open doors no longer provide cover (locale.pp)
- In character creator, stats now have descriptions (randchar.pp)
- Repair now takes much longer to complete (skilluse.pp)
- Options menu exits if player does something that takes time (pcaction.pp)
- Mecha selection menu now shows designation (arenascript.pp)
- If no mecha equipped before combat, will be prompted (arenascript.pp)
- Keyboard buffer flushed when menu is activated (conmenus.pp)
- Repair skills take real time, not frozen time (skilluse.pp)
- Backpack screen now shows instructions (backpack.pp)

0.601   November 15 2002
- Added "Rest" command. It needs work. (pcaction.pp)
- Output routines in arenacfe.pp not finished yet (arenacfe.pp)
- Altered the way effects.pp and arenacfe.pp connect (effects.pp,arenacfe.pp)
- Changed unit attacker.pp to effects.pp (effects.pp)
- Fixed overflow bug in GetMacroValue (ghparser.pp)
- Useless arenatalk.pp, ghvirtual.pp units moved/deleted (pcaction.pp)

0.600   November 11 2002
- Added "Basic Mode" character generation (randchar.pp)
- Began mecha editor, doesn't work yet (factory.pp)
- Fixed stupid ClearMenu bug (conmenus.pp)
- Character info screen should now show faction (coninfo.pp)
- Fixed obscure damage destroyed gear crash (action.pp)
- If data directories missing, error message at startup (gears.pp)
- Personality traits now more important to chatting (interact.pp)
- Increased cost of missile launchers (ghweapon.pp)
- Fixed elusive savefile stats bug (gearutil.pp)
- Walking and rolling moverates adjusted (movement.pp)
- Stats may be improved, if skills are high enough (pcaction.pp)
- Added "RunAway" AI type (aibrain.pp)
- Fixed enemy allocation bug in the Staged ASL command (arenascript.pp)
- Staged ASL command now accepts wildcards (arenascript.pp)
- SkRoll changed from Interaction to RPG Mode command (arenascript.pp)
- Random mecha picker will try to pick cost-appropriate mecha (wmonster.pp)
- Increased cost of beam shields (ghguard.pp)
- Beam shields now only take damage from beam weapons (attacker.pp)
- Stamina, Mental regeneration speed determined by max level (damage.pp)
- Scene's TYPE string attribute included in searches (playwright.pp)
- Added AddSAtt function (gears.pp)
- Using repair skills trains those skills (skilluse.pp)
- Weapon arc now indicated in description (coninfo.pp)
- Health regeneration slowed down a bit (damage.pp)
- Rumors may include info about factions (interact.pp)
- Added School, SetPlayerFaction, IfFaction, IfYesNo, HostileFactions,
  FacMem, FacAct, FacScene, DeleteFaction, SceneFaction, SetSceneFaction,
  NPCRep commands to ASL (arenascript.pp)
- When repair is free, correct message should be printed (services.pp)
- \VAL message formatting command now accepts longints (arenascript.pp)
- Pilot exhaustion indicated in mecha info box (coninfo.pp)
- Successfully defending may drain stamina (attacker.pp)
- Chatting trains Conversation or Flirtation (interact.pp)
- Shield blocks now performed using Mecha Fighting skill (attacker.pp)
- Cleaned up attacker.pp somewhat; still a mess (attacker.pp)
- Attacking and defending train appropriate skills (slowly) (attacker.pp)
- Taking damage trains Vitality skill (action.pp)
- Using MP trains Concentration, using SP trains Athletics (ability.pp)
- Buying and selling items trains Shopping skill (services.pp)
- Skills may now earn specific experience awards (ability.pp)
- Recalibrated the conversation reaction meter (coninfo.pp)
- Repair skill time now more consistant (skilluse.pp)
- Start RPG Campaign will call character creator if needed (arenahq.pp)
- Traits for chat subject now selected by weight (interact.pp)
- Added in-game skill descriptions (randchar.pp,pcaction.pp)
- Encumberance hinders speed moreso than reflexes (gearutil.pp)
- Fixed some global NPC bugs (playwright.pp)
- Chatting now takes time (arenascript.pp)
- Repair skills made slightly easier (skilluse.pp)
- Factions added to the rumor generator (interact.pp)
- Factions may be sought for plots; new relative descs (playwright.pp)
- Added Faction Actions (interact.pp)
- Factions code reworked (interact.pp)

0.540   August 20 2002
- Displays version info on startup (arena.pas)
- Cleaned up random enemies code (arenaplay.pp,navigate.pp,wmonster.pp)
- Fixed bug in SelectRandomGear with empty list (gears.pp)
- Concussion may damage pilot or inventory (action.pp)
- Improved the way armor is handled (action.pp)
- If plot insertion rejected, prefab elements deleted (playwright.pp)
- InitPlot's rumor formatter checks gear children (playwright.pp)
- Plot persona gears may now have associated rumors (interact.pp)
- Added threats.txt file (interact.pp)
- FindGearScene should deal with global NPCs (locale.pp)
- Characters may acquire ArchEnemies or Allies (interact.pp)
- NPCs may show up in dynamic encounters (playwright.pp)
- Mecha scale weapons may be bought in stores (services.pp)
- Global NPCs not used by plots as default (playwright.pp)
- HandleTriggers loop improved (arenascript.pp)
- Armor 'FITS' SAtt added (gearutil.pp,ghguard.pp)
- Jumping has a minimum required speed (movement.pp)
- ForceChat,Encounter,Retreat,RunAway,PCEnemy ASL commands added (arenascript.pp)
- Persona will be sought globally if not found locally (interact.pp)
- Global NPCs added (arenaplay.pp) 

0.530   July 17 2002
- Monster generator adjusted to provide better diversity (wmonster.pp)
- AI MoveTowardsSpot routine hopefully less stupid (action.pp)
- Five new mecha forms were added (ghmecha.pp)
- Arena mode "first turn blind" bug fixed (conmap.pp)
- DeployMek now sets a random facing (conmap.pp)
- Less hard to hit small targets, less easy to hit big ones (attacker.pp)
- MoveLegal command added (movement.pp)
- Flight + Jumping added (movement.pp,locale.pp,action.pp)
- Rough macro definitions now possible in MDL (ghparser.pp)
- RLWalker, SmartBump no longer use MoveTowardsSpot (pcaction.pp)
- Added Time ASL command (arenascript.pp)
- Water, forests now block wheeled movement (locale.pp)
- Cleaned up movement.pp; extreme speed now harder to reach (movement.pp)
- Fixed mapping radius mecha altitude bug (conmap.pp)
- Important characters won't refuse to talk, ever (arenatalk.pp)
- Can access inventory from shopping menu (services.pp)

0.521   June 28 2002
- Added SceneID ASL function (arenascript.pp)
- Spare ammo clips now less common in stores (services.pp)
- StoryLine,MechaPrize ASL command now accept wildcards (arenascript.pp)
- Added LoadGearPattern function (ghparser.pp)
- Added CreateFileList function (gears.pp)
- Skill training menu now less annoying (pcaction.pp)
- Ammo name also indicates scale now (ghweapon.pp)
- Changed the way large-scale DC is displayed (ghweapon.pp)
- Character info now displays chosen mecha (coninfo.pp)
- FieldHQ procedure added (backpack.pp)
- Transfer of items between team members now possible (backpack.pp)
- Centralized SeekPilotsMecha, AssociatePilotMecha (locale.pp)
- A single act of villainy can erase a heroic reputation (ability.pp)

0.520   June 8 2002
- Walls may be drawn around features outside of cities now (randmaps.pp)
- Added some new urban terrain (locale.pp,conmap.pp)
- Can now repair items from backpack screen (backpack.pp)
- IsSafeArea function added (locale.pp)
- \SCENE message formatting string added (arenascript.pp)
- Scaled DC now indicated in description (coninfo.pp,ghweapon.pp)
- NPCs who don't want to talk start with less endurance (arenascript.pp)
- Fixed overlength last line of menu bug (conmenus.pp)
- Fixed targeting computer name bug (ghsensor.pp)
- Long range weapons now have a minimum range band (attacker.pp)
- Beam weapons at Scale-0 now far more expensive (ghweapon.pp)
- Mass reduction at Scale-0 now far more expensive (gearutil.pp)
- Can now sell mecha inventory items to store (services.pp)
- Unfriendly NPCs sometimes won't talk to PC at all (arenatalk.pp)
- Friendly NPCs usually won't refuse to talk to PC now (arenatalk.pp)
- Repair at shops no longer instantaneous (services.pp)
- Dynamic/Staged encounters now take time to start (arenascript.pp)
- Accelerated time procedure added (conmaps.pp)

0.512   May 28 2002
- Informative messages added when no save files found (arenahq.pp,navigate.pp)
- Armor status indicated in mecha body display (coninfo.pp)

0.511   May 24 2002
- If no SaveGame dir at startup, it will be created (gears.pp)
- Plot elements may now have relative location specified (playwright.pp)
- Virtual gears never count as destroyed (damage.pp)
- No excluded cases from GearMaxDamage now (gearutil.pp)
- Removed needless recursion from dice roller (rpgdice.pp)
- Scale:0 dynamic encounters now possible (arenaplay.pp)
- Auto-equipment-buyer for NPCs created (ghparser.pp)
- Exported text messges from ability unit to external file (ability.pp)
- Failed allocation of NAtts, SAtts will return Nil (gears.pp)
- Fixed dereferencing Nil error in GearMaxArmor (gearutil.pp)
- Athletics, Concentration now give more points (ghchars.pp)
- Added deep water to random map generator (randmaps.pp)
- Fixed serious bug in SetNAtt (gears.pp)

0.510   May 20 2002
- Program should now be easier to compile in Linux, and may even work!
- Moved all used file names to constants in gears.pp (gears.pp)
- Added hills to random map generator (randmaps.pp)
- Inventory components don't get upwards armor protection (action.pp)
- MFFloor, MFDoor stats defined for map features (randmaps.pp)
- Fixed negative armor damage bug (action.pp)
- Added "Eject" command (pcaction.pp)
- Centralized "Extract Pilot" procedure (locale.pp,arenaplay.pp,arenahq.pp)
- Centralized "Board Mecha" procedure (locale.pp,conmap.pp,arenaplay.pp)
- Fixed "repair while in mecha" bug (pcaction.pp)
- Added STAGED script command (arenascript.pp)
- Added gear type GG_Prop (ghprop.pp)
- Mapping radius not affected so strongly by scale (ability.pp)

0.500	May 10 2002
- First Official Release
- Hi Igor
